<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Flexi
 * @since 1.0
 */

$flexi_args = flexi_404_page();
$flexi_illustration_image = $flexi_args['404-illustration'];
get_header(); ?>
<div class="slz-main-content slz-page-404">
	<div class="content-wrapper content-wrapper-404">
		<div class="table-wrapper-404">
			<?php 
			if ( $flexi_illustration_image && !empty ( $flexi_illustration_image['data']['icon'] ) && $flexi_illustration_image['data']['css'] != 'none' ){
				echo '<img class="img-404" src="'.esc_url($flexi_illustration_image['data']['icon']).'" alt="" />';
				
			}?>
			<h1 class="title"><?php echo esc_html($flexi_args['title']); ?></h1>
			<div class="subtitle"><?php echo wp_kses_post($flexi_args['description']); ?>
			</div>
			<div class="group-btn">
				<?php if(!empty($flexi_args['home_text'])){?>
					<a href="<?php echo esc_url(site_url()); ?>" class="slz-btn main-color"><?php echo esc_html($flexi_args['home_text']); ?></a>
				<?php }
				if (!empty($flexi_args['button_text'])){?>
					<a href="<?php echo esc_url($flexi_args['button_link']); ?>" class="slz-btn transparent"><?php echo esc_html($flexi_args['button_text']); ?></a>
				<?php }?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>