<?php
/**
 * The template for displaying category.
 *
 * @package WordPress
 * @subpackage Flexi
 * @since 1.0
 */

get_header();
$flexi_container = flexi_get_container_class( 'category-article-style' );
?>

	<div class="slz-main-content">

		<?php echo flexi_show_title( '<div class="archive-header"><div class="container"><h1 class="title">', '</h1></div></div>' ); ?>

		<div class="container">

			<div id="page-content" class="slz-blog-detail <?php echo esc_attr( $flexi_container['sidebar_layout_class'] ); ?> margin-top-100 margin-bottom-100">

				<div class="row">

					<div class="<?php echo esc_attr( $flexi_container['content_class'] ); ?> slz-content-column">

						<?php if ( have_posts() ) : ?>

							<div class="slz-list-block <?php echo esc_attr( $flexi_container['block_class'] ); ?>">

								<?php

									if ( $flexi_template = flexi_check_article_layout('articles', 'category-article-style') ) {

											while ( have_posts() ) : the_post();

												$flexi_template->render( $post );

											endwhile;

									}
									else{

										while ( have_posts() ) : the_post();

											get_template_part( 'default-templates/article' );

										endwhile;

									}

								?>

							</div>

							<?php flexi_posts_pagination();?>

						<?php

						else :
							get_template_part( 'default-templates/no-content' );

						endif;
						?>
						
					</div>

					<?php if ( $flexi_container['show_sidebar']) : ?>

						<div id="page-sidebar" class="<?php echo esc_attr($flexi_container['sidebar_class'])?> slz-sidebar-column slz-widgets">

							<?php flexi_get_sidebar($flexi_container['sidebar']);?>

						</div>

					<?php endif; ?>

					<div class="clearfix"></div>

				</div>

			</div>

		</div>

	</div>

<?php get_footer(); ?>
