<?php
$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'featured_list' );

$column_arr = array(
	esc_html__( 'None', 'flexi' )  => '',
	esc_html__('One', 'flexi')     => '1',
	esc_html__('Two', 'flexi')     => '2',
	esc_html__('Three', 'flexi')   => '3',
	esc_html__('Four', 'flexi')    => '4'
);

$yes_no  = array(
    esc_html__('Yes', 'flexi')     => 'yes',
    esc_html__('No', 'flexi')	     => 'no'
);

$param_title =  array(
			array(
				'type'           => 'textarea',
				'heading'        => esc_html__( 'Text', 'flexi' ),
				'param_name'     => 'text',
				'admin_label'    => true,
				'description'    => esc_html__( 'Please input text of item', 'flexi' )
			),
			array(
				'type'           => 'dropdown',
				'heading'        => esc_html__( 'Options', 'flexi' ),
				'param_name'     => 'show_options',
				'value'          => $shortcode->get_config('show_options'),
				'std'            => 'icon'
			)
		);
$icon_dependency = array(
                    'element'    => 'show_options',
                    'value'      => array('icon')
                );
$icon_options = $shortcode->get_icon_library_options( $icon_dependency );

$param_image =  array(
			array(
				'type'           => 'attach_image',
				'heading'        => esc_html__( 'Upload Image', 'flexi' ),
				'param_name'     => 'image',
				'description'    => esc_html__('Upload Image.', 'flexi'),
				'dependency'     => array(
					'element'    => 'show_options',
					'value'      => array('image')
				)
			)
		);

$params = array(
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Style', 'flexi' ),
    	'admin_label' => true,
        'param_name'  => 'styles',
        'value'       => $shortcode->get_config( 'styles' ),
        'std'         => 'style-1',
        'description' => esc_html__( 'Choose style of feature list', 'flexi' )
    ),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Column', 'flexi' ),
		'param_name'  => 'column',
		'value'       => $column_arr,
		'std'         => '',
		'description' => esc_html__( 'Choose number of columns to show', 'flexi' )
	),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Show number ? ', 'flexi' ),
        'param_name'  => 'show_number',
        'value'       => $yes_no,
        'std'         => 'yes',
        'dependency'  => array(
            'element' => 'styles',
            'value'   => array('style-2'),
        ),
        'description' => esc_html__( 'If choose Yes, block will show number.', 'flexi' )
    ),
	array(
		'type'        => 'param_group',
		'heading'     => esc_html__( 'Featured Items', 'flexi' ),
		'param_name'  => 'feature_list',
		'params'      => array_merge( $param_title, $icon_options, $param_image ),
		'value'       => '',
        'dependency'  => array(
            'element' => 'styles',
            'value'   => array('style-1','style-3')
        )
	),
    array(
        'type'        => 'param_group',
        'heading'     => esc_html__( 'List of Feature', 'flexi' ),
        'param_name'  => 'feature_list2',
        'params'      => array(
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Title', 'flexi' ),
                'param_name'  => 'title',
                'description' => esc_html__( 'Please input title of item', 'flexi' )
            ),
            array(
                'type'        => 'textarea',
                'heading'     => esc_html__( 'Description', 'flexi' ),
                'param_name'  => 'description',
                'description' => esc_html__( 'Please input description of item', 'flexi' )
            )
        ),
        'value'       => '',
        'dependency'  => array(
            'element' => 'styles',
            'value'   => array('style-2')
        )
    )
);

$custom_css = array(
	 array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Number Color', 'flexi' ),
        'group'       => esc_html__('Custom CSS', 'flexi'),
        'param_name'  => 'number_color',
        'description' => esc_html__( 'Choose a custom color for number.', 'flexi' ),
        'dependency'  => array(
            'element' => 'show_number',
            'value'   => array('yes')
        )
    ),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Text Color', 'flexi' ),
		'param_name'  => 'text_color',
		'description' => esc_html__( 'Choose a custom color for text.', 'flexi' ),
		'group'       => esc_html__('Custom CSS', 'flexi')
	),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Icons Color', 'flexi' ),
        'param_name'  => 'icons_color',
        'description' => esc_html__( 'Choose a custom color for icons.', 'flexi' ),
        'group'       => esc_html__('Custom CSS', 'flexi')
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Description Color', 'flexi' ),
        'param_name'  => 'des_color',
        'description' => esc_html__( 'Choose a custom color for description.', 'flexi' ),
        'group'       => esc_html__('Custom CSS', 'flexi'),
        'dependency'  => array(
            'element' => 'styles',
            'value'   => array('style-2')
        )
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Border Color', 'flexi' ),
        'param_name'  => 'border_color',
        'description' => esc_html__( 'Choose a custom color for border.', 'flexi' ),
        'group'       => esc_html__( 'Custom CSS', 'flexi')
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Border Hover Color', 'flexi' ),
        'param_name'  => 'border_hv_color',
        'description' => esc_html__( 'Choose a custom color for border when you mouse over it.', 'flexi' ),
        'group'       => esc_html__( 'Custom CSS', 'flexi')
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Background Color', 'flexi' ),
        'param_name'  => 'background_color',
        'description' => esc_html__( 'Choose a custom color for background.', 'flexi' ),
        'group'       => esc_html__('Custom CSS', 'flexi')
    ),
    array(
        'type'        => 'attach_image',
        'heading'     => esc_html__( 'Background Image', 'flexi' ),
        'param_name'  => 'background_img',
        'description' => esc_html__('Background Image.', 'flexi'),
        'group'       => esc_html__('Custom CSS', 'flexi')
    ),
);

$extra_class = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'flexi' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to button', 'flexi' )
	)
);

$vc_options = array_merge( 
	$params,
	$extra_class,
	$custom_css
);