<?php

$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'image_carousel' );
$yes_no = $shortcode->get_config('yes_no');
$layouts = array(
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Layout', 'flexi' ),
		'param_name'  => 'layout',
		'value'       => $shortcode->get_layouts(),
		'std'         => 'layout-1',
		'description' => esc_html__( 'Choose layout to show', 'flexi' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Image Options', 'flexi' ),
		'param_name'  => 'image_options',
		'value'       => $shortcode->get_config('image_options'),
		'std'         => 'post-thumbnail',
		'description' => esc_html__( 'Choose image size to show', 'flexi' ),
	),
);

$layout_options = $shortcode->get_layout_options();

$params = array(
	array(
		'type'       => 'param_group',
		'heading'    => esc_html__( 'Image Slider', 'flexi' ),
		'param_name' => 'img_slider',
		'params'     => array(	
			array(
				'type'           => 'attach_image',
				'heading'        => esc_html__( 'Upload Image', 'flexi' ),
				'param_name'     => 'img',
				'description'    => esc_html__('Choose image to add to slider.', 'flexi'),
			),
		    array(
				'type'        => 'vc_link',
		    	'admin_label' => true,
				'heading'     => esc_html__( 'URL', 'flexi' ),
				'param_name'  => 'link',
				'description' => esc_html__( 'Input a URL to redirect the website to it when user click on the image.', 'flexi' )
			),
		),
	),
);

$extra_class = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'flexi' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to button', 'flexi' )
	)
);
$custom_slide = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Slide to Show', 'flexi' ),
		'param_name'  => 'slidetoshow',
		'value'       => '2',
		'description' => esc_html__( 'Choose number of item show.', 'flexi' ),
		'group'       => esc_html__( 'Custom Slider', 'flexi' ),
		'dependency'  => array(
			'element'   => 'layout',
			'value_not_equal_to'     => array( 'layout-2', 'layout-4' )
		),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Arrows?', 'flexi' ),
		'param_name'  => 'arrow',
		'value'       => $yes_no,
		'std'         => 'yes',
		'description' => esc_html__( 'Choose if want to show arrow or not.', 'flexi' ),
		'group'       => esc_html__( 'Custom Slider', 'flexi' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Dots?', 'flexi' ),
		'param_name'  => 'dots',
		'value'       => $yes_no,
		'std'         => 'yes',
		'description' => esc_html__( 'Choose if want to show dots or not.', 'flexi' ),
		'group'       => esc_html__( 'Custom Slider', 'flexi' )
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Auto Play ?', 'flexi' ),
		'param_name'  	=> 'slide_autoplay',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'Choose YES to slide auto play.', 'flexi' ),
		'group'         => esc_html__('Custom Slider', 'flexi')
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Loop Infinite ?', 'flexi' ),
		'param_name'  	=> 'slide_infinite',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'Choose YES to slide loop infinite.', 'flexi' ),
		'group'         => esc_html__('Custom Slider', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Arrows Color', 'flexi' ),
		'param_name'    => 'arrow_text_color',
		'value'         => '',
		'description'   => esc_html__( 'Choose color to slide arrows.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'arrow',
			'value'     => array( 'yes' )
		),
		'group'       	=> esc_html__('Custom Color', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Arrows Hover Color', 'flexi' ),
		'param_name'    => 'arrow_hover_color',
		'value'         => '',
		'description'   => esc_html__( 'Choose hover color to slide arrows.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'arrow',
			'value'     => array( 'yes' )
		),
		'group'       	=> esc_html__('Custom Color', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Arrows Background Color', 'flexi' ),
		'param_name'    => 'arrow_bg_color',
		'value'         => '',
		'description'   => esc_html__( 'Choose background color to slide arrows.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'arrow',
			'value'     => array( 'yes' )
		),
		'group'       	=> esc_html__('Custom Color', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Arrows Background Hover Color', 'flexi' ),
		'param_name'    => 'arrow_bg_hv_color',
		'value'         => '',
		'description'   => esc_html__( 'Choose background hover color to slide arrow.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'arrow',
			'value'     => array( 'yes' )
		),
		'group'       	=> esc_html__('Custom Color', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Dots Color', 'flexi' ),
		'param_name'    => 'dots_color',
		'value'         => '',
		'description'   => esc_html__( 'Choose color to slide dots.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'dots',
			'value'     => array( 'yes' )
		),
		'group'       	=> esc_html__('Custom Color', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Dots Color Active', 'flexi' ),
		'param_name'    => 'dots_color_active',
		'value'         => '',
		'description'   => esc_html__( 'Choose color to slide dots when active, hover.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'dots',
			'value'     => array( 'yes' )
		),
		'group'       	=> esc_html__('Custom Color', 'flexi')
	)
);

$vc_options = array_merge(
	$layouts,
	$layout_options,
	$params,
	$extra_class,
	$custom_slide
);