<?php
$style = array(
    esc_html__('Chennai', 'flexi')     => 'st-chennai',
    esc_html__('Mumbai', 'flexi')  => 'st-mumbai',
);

$yes_no  = array(
	esc_html__('Yes', 'flexi')       => 'yes',
	esc_html__('No', 'flexi')        => 'no'
);

$vc_options = array(
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Style', 'flexi' ),
        'param_name'  => 'layout-2-style',
        'value'       => $style,
        'description' => esc_html__( 'Select style for blocks', 'flexi' )
    ),
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Is Auto Play ?', 'flexi' ),
		'param_name'    => 'slide_autoplay',
		'value'         => $yes_no,
		'std'           => 'no',
		'description'   => esc_html__( 'Choose YES to slide auto play.', 'flexi' ),
		'group'         => esc_html__('Carousel Custom', 'flexi')
	),
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Is Dots Navigation ?', 'flexi' ),
		'param_name'    => 'slide_dots',
		'value'         => $yes_no,
		'std'           => 'yes',
		'description'   => esc_html__( 'Choose YES to show dot navigation.', 'flexi' ),
		'group'         => esc_html__('Carousel Custom', 'flexi')
	),
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Is Arrows Navigation ?', 'flexi' ),
		'param_name'    => 'slide_arrows',
		'value'         => $yes_no,
		'std'           => 'yes',
		'description'   => esc_html__( 'Choose YES to show arrow navigation.', 'flexi' ),
		'group'         => esc_html__('Carousel Custom', 'flexi')
	),
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Is Loop Infinite ?', 'flexi' ),
		'param_name'    => 'slide_infinite',
		'value'         => $yes_no,
		'std'           => 'yes',
		'description'   => esc_html__( 'Choose YES to slide loop infinite.', 'flexi' ),
		'group'         => esc_html__('Carousel Custom', 'flexi')
	),
	array(
		'type'          => 'textfield',
		'heading'       => esc_html__( 'Speed Slide', 'flexi' ),
		'param_name'    => 'slide_speed',
		'value'	        => '600',
		'description'   => esc_html__( 'Enter number value. Unit is millisecond. Example: 600.', 'flexi' ),
		'group'         => esc_html__('Carousel Custom', 'flexi')
	),

	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Slide Arrow Color', 'flexi' ),
		'param_name'    => 'color_slide_arrow',
		'value'         => '',
		'description'   => esc_html__( 'Choose color slide arrow for slide.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'slide_arrows',
			'value'     => array( 'yes' )
		),
		'group'         => esc_html__('Color Custom', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Slide Arrow Color Hover', 'flexi' ),
		'param_name'    => 'color_slide_arrow_hv',
		'value'         => '',
		'description'   => esc_html__( 'Choose color slide arrow for slide when hover.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'slide_arrows',
			'value'     => array( 'yes' )
		),
		'group'         => esc_html__('Color Custom', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Slide Arrow Background Color', 'flexi' ),
		'param_name'    => 'color_slide_arrow_bg',
		'value'         => '',
		'description'   => esc_html__( 'Choose background color slide arrow for slide.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'slide_arrows',
			'value'     => array( 'yes' )
		),
		'group'         => esc_html__('Color Custom', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Slide Arrow Background Color Hover', 'flexi' ),
		'param_name'    => 'color_slide_arrow_bg_hv',
		'value'         => '',
		'description'   => esc_html__( 'Choose background color slide arrow for slide when hover.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'slide_arrows',
			'value'     => array( 'yes' )
		),
		'group'         => esc_html__('Color Custom', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Slide Dots Color', 'flexi' ),
		'param_name'    => 'color_slide_dots',
		'value'         => '',
		'description'   => esc_html__( 'Choose color slide dots for slide.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'slide_dots',
			'value'     => array( 'yes' )
		),
		'group'         => esc_html__('Color Custom', 'flexi')
	),
	array(
		'type'          => 'colorpicker',
		'heading'       => esc_html__( 'Slide Dots Color Active', 'flexi' ),
		'param_name'    => 'color_slide_dots_at',
		'value'         => '',
		'description'   => esc_html__( 'Choose color slide dots for slide when active, hover.', 'flexi' ),
		'dependency'    => array(
			'element'   => 'slide_dots',
			'value'     => array( 'yes' )
		),
		'group'         => esc_html__('Color Custom', 'flexi')
	)
);