<?php if ( ! FLEXI_SLZ_ACTIVE ) {
	exit;
}
$default = array(
	'default'   => array(
		'small' => array(
			'height' => 70,
			'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/default.png')
		),
		'large' => array(
			'height' => 214,
			'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/default.png')
		),
	)
);
$regist_sidebars = array_merge( array( 'default' => esc_html__('-- Default --', 'flexi') ), SLZ_Com::get_regist_sidebars() );

// revolution slider
$revolution_sliders = slz_extra_get_revolution_slider();

$page_header = slz()->theme->get_options( 'page-options' );

$footer_options =  slz()->theme->get_options( 'footer-options' );

$regist_menu = array( 'default' => esc_html__('-- Select Menu --', 'flexi') ) + SLZ_Com::get_regist_menu();
$header_options_choices = (array)slz_ext('headers')->get_header_choices();
$footer_options_choices = (array)slz_ext('footers')->get_footer_choices();

// custom color
$site_default_colors = (array)slz()->theme->get_config('site_default_colors');
$site_custom_colors = (array) slz()->theme->get_config('site_custom_colors');
foreach( $site_custom_colors as $key => $variant ){
	$site_options[$key] = array(
		'label'   => $variant[1],
		'desc'    => $variant[2],
		'value'   => $variant[0],
		'choices' => $site_default_colors,
		'type'    => 'color-palette'
	);
}

$options = array(
	'page-settings'=> array(
		'type'    => 'box',
		'title'   => esc_html__(' Page Options','flexi' ),
		'options' => array(
			'page-general-settings' => array(
				'title'   => esc_html__( 'General Settings', 'flexi' ),
				'type'    => 'tab',
				'options' => array(
					'page-fix-header' => array(
						'label'   => esc_html__('Fixed Header', 'flexi'),
						'type'    => 'switch',
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Yes', 'flexi' )
						),
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'No', 'flexi' )
						),
						'value'   => 'no'
					),
                    'page-header-transparent' => array(
                        'label'   => esc_html__('Header Transparent', 'flexi'),
                        'type'    => 'select',
                        'choices' => array(
                            ''    =>  esc_html__('Default' ,'flexi'),
                            'header-transparent' =>  esc_html__('Yes' ,'flexi'),
                            'no'  =>  esc_html__('No' ,'flexi')
                        )
                    ),
                    'page-topbar' => array(
                        'label'   => esc_html__('Topbar', 'flexi'),
                        'type'    => 'select',
                        'choices' => array(
                            ''    =>  esc_html__('Default' ,'flexi'),
                            'show' =>  esc_html__('Yes' ,'flexi'),
                            'hide'  =>  esc_html__('No' ,'flexi')
                        )
                    ),
					'page-header-style' => array(
						'label'   => esc_html__( 'Header Style', 'flexi' ),
						'type'    => 'image-picker',
						'attr'    => array('class' => 'slz-image-picker-max-width' ),
						'choices' => array_merge( $default, $header_options_choices ),
						'value'   => 'default'
					),
					'page-main-menu' => array(
						'type'   => 'multi-picker',
						'label'  => false,
						'desc'   => false,
						'picker' => array(
							'options' => array(
								'type'  => 'switch',
								'value' => '',
								'label' => esc_html__( 'Header Menu', 'flexi' ),
								'left-choice' => array(
									'value' => 'custom',
									'label' => esc_html__( 'Custom', 'flexi' )
								),
								'right-choice' => array(
									'value' => '',
									'label' => esc_html__( 'Default', 'flexi' )
								)
							)
						),
						'choices' => array(
							'custom' => array(
								'main-menu' => array(
									'type'    => 'select',
									'label'   => esc_html__('Custom Menu', 'flexi'),
									'desc'    => esc_html__('Select menu to display in header.', 'flexi'),
									'choices' => $regist_menu,
									'show_borders' => true,
								)
							)
						)
					),
					
					'page-logo' => array(
						'type'        => 'upload',
						'label'       => esc_html__('Logo Image', 'flexi'),
						'desc'        => esc_html__('Upload the site logo .png or .jpg', 'flexi'),
						'images_only' => true,
					),
					'page-logo-transparent'   => array(
						'type'   => 'multi-picker',
						'label'  => false,
						'desc'   => false,
						'picker' => array(
							'logo_transparent_options' => array(
								'type'  => 'switch',
								'value' => 'disable',
								'label' => esc_html__( 'Logo Transparent', 'flexi' ),
								'left-choice' => array(
									'value' => 'enable',
									'label' => esc_html__( 'Enable', 'flexi' ),
								),
								'right-choice' => array(
									'value' => 'disable',
									'label' => esc_html__( 'Disable', 'flexi' ),
								)
							),
						),
						'choices' => array(
							'enable' => array(
								'logo-transparent'	=>	array(
									'type'        => 'upload',
									'label'       => esc_html__('Logo Image Transparent', 'flexi'),
									'desc'        => esc_html__('Upload the site logo .png or .jpg use for transparent', 'flexi'),
									'images_only' => true,
								),
							),
						),
					),
					'page-slider'  => array(
						'type'     => 'select',
						'label'    => esc_html__('Revolution Slider', 'flexi'),
						'desc'     => esc_html__('You can add revolution slider in header.','flexi'),
						'choices'  => $revolution_sliders ,
						'value'    => ''
					),
					'page-footer-style' => array(
						'type'   => 'multi-picker',
						'label'  => false,
						'desc'   => false,
						'picker' => array(
							'footer-style' => array(
								'label'   => esc_html__( 'Footer Style', 'flexi' ),
								'type'    => 'image-picker',
								'attr'    => array('class' => 'slz-image-picker-max-width' ),
								'choices' => array_merge( $default, $footer_options_choices ),
								'value'   => 'default'
							),
						),
						'choices'      => $footer_options,
						'show_borders' => false,
					),
					'page-sidebar-layout' => array(
						'label' => esc_html__( 'Sidebar Layout', 'flexi' ),
						'desc'  => esc_html__( 'Set how to display page sidebar.', 'flexi' ),
						'type'  => 'image-picker',
						'attr'  => array('class' => 'slz-image-picker-max-width' ),
						'choices' => array_merge( $default, array(
							'left' => array(
								'small' => array(
									'height' => 50,
									'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/left.png')
								)
							),
							'right' => array(
								'small' => array(
									'height' => 50,
									'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/right.png')
								)
							),
							'none' => array(
								'small' => array(
									'height' => 50,
									'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/full.png')
								)
							),
						) ),
						'value' => 'default'
					),
					'page-sidebar' => array(
						'type'    => 'select',
						'label'   => esc_html__('Choose Sidebar', 'flexi'),
						'desc'    => esc_html__('You can create new sidebar in','flexi').' <br><a href="' . esc_url( admin_url( 'widgets.php' ) ) . '" >'.esc_html__('Appearance','flexi').' > '.esc_html__('Widgets','flexi').'</a>',
						'choices' => $regist_sidebars,
						'value'   => 'default'
					),
					'ct-padding-top' => array(
						'type'  => 'text',
						'label' => esc_html__( 'Content Padding Top', 'flexi' ),
						'desc'  => esc_html__( 'Custom padding top for content (px).', 'flexi' ),
						'value' => '',
					),
					'ct-padding-bottom' => array(
						'type'  => 'text',
						'label' => esc_html__( 'Content Padding Bottom', 'flexi' ),
						'desc'  => esc_html__( 'Custom padding bottom for content (px).', 'flexi' ),
						'value' => '',
					),
					'styling-skin-colors' => array(
						'type'         => 'multi-picker',
						'label'        => false,
						'desc'         => false,
						'picker'       => array(
							'custom-style' => array(
								'type'         => 'switch',
								'value'        => 'default',
								'label'        => esc_html__( 'Custom Colors', 'flexi' ),
								'left-choice'  => array(
									'value' => 'default',
									'label' => esc_html__( 'Default', 'flexi' ),
								),
								'right-choice' => array(
									'value' => 'custom',
									'label' => esc_html__( 'Custom', 'flexi' ),
								),
							),
						),
						'choices'      => array(
							'custom' => $site_options,
						),
					),
				)
			),
			$page_header,
		)
	)
);