<?php
/**
 * The template for displaying the footer
 *
 * @package WordPress
 * @subpackage Flexi
 * @since 1.0
 */
?>

<?php 

if ( flexi_check_extension('footers') ) {

	if ( is_page( ) ) {

		$footer_options = slz_get_db_post_option( get_the_ID(), 'page-footer-style' );

		$flexi_selected_footer = slz_akg('footer-style', $footer_options, '' );
		if ( $flexi_selected_footer == 'default' )
			unset ( $flexi_selected_footer );

	}

	if ( empty ( $flexi_selected_footer ) && slz_get_db_settings_option('slz-footer-style-group/slz-footer-style', false) ){

		$flexi_selected_footer = slz_get_db_settings_option('slz-footer-style-group/slz-footer-style', '');

	}

	if ( !empty ( $flexi_selected_footer ) ) {

		$flexi_footer = slz_ext('footers')->get_footer( $flexi_selected_footer );

		if ( !empty ( $flexi_footer ) ) {
			$flexi_footer->render();
		}

	}

}
else
	get_template_part('default-templates/footer');

?>

	</div>
</div>
<?php

	if ( FLEXI_SLZ_ACTIVE ) {

		if ( slz_get_db_settings_option('enable-scroll-to', '') == 'yes' ) {
			$flexi_scroll_settings = slz_get_db_settings_option('scroll-to-top-styling', '');

			$flexi_icon = '<i class="fa fa-angle-up"></i>';

			if ( !empty ( $flexi_scroll_settings ) ) {

				if ( $flexi_scroll_settings['icon-type']['icon-box-img'] == 'icon-class' && ! empty( $flexi_scroll_settings['icon-type']['icon-class']['icon_class'] ) ) {

					$flexi_icon = '<i class="' . esc_attr( $flexi_scroll_settings['icon-type']['icon-class']['icon_class'] ) . '"></i>';

				} elseif ( $flexi_scroll_settings['icon-type']['icon-box-img'] == 'upload-icon' && ! empty( $flexi_scroll_settings['icon-type']['upload-icon']['upload-custom-img'] ) ) {

					$flexi_icon = '<img src="' . esc_url ( $flexi_scroll_settings['icon-type']['upload-icon']['upload-custom-img']['url'] ) . '"/>';
				}

			}

			echo '<div class="btn-wrapper back-to-top"><a href="#top" class="btn btn-transparent">' . wp_kses_post( $flexi_icon ) . '</a></div>';
			
		}

	}

if( defined('SLZ') && function_exists('slz_get_live_setting') ) {
	slz_get_live_setting();
}
?>
<?php wp_footer(); ?>

</body>
</html>
