<?php if ( ! FLEXI_SLZ_ACTIVE ) {
	exit; // Exit if accessed directly
} ?>
<?php
/**
 * The template for displaying the service detail content
 *
 * @package WordPress
 * @subpackage solazu-core
 * @since 1.0
 */


get_header();
$slz_container_css = slz_extra_get_container_class();
?>
<div class="slz-main-content padding-top-100 padding-bottom-100">
	<div class="container">
		<div class="slz-blog-detail slz-portfolio <?php echo esc_attr( $slz_container_css['sidebar_layout_class'] ); ?>">
			<div class="row">
				<div id="page-content" class="slz-content-column <?php echo esc_attr( $slz_container_css['content_class'] ); ?>">
					<?php if ( have_posts() ) :
							while ( have_posts() ) : the_post();
					?>

							<div class="project-detail-wrapper">
								<?php
								$data = slz_get_db_post_option( get_the_ID(), 'gallery_images', '' );
								if( !empty( $data ) ) {
									$thumb_url = array();
									if ( get_post_thumbnail_id(get_the_ID(), 'post-thumbnail') ) {
										$thumb_id = get_post_thumbnail_id(get_the_ID());
										$thumb_url[] = array('attachment_id' => $thumb_id);
									}
									$gallery_arr = array_merge($thumb_url, $data);
									?>
									<div class="sc_gallery_carousel slz-carousel-syncing slz-image-carousel no-text-arrows">
										<div class="slider-for"
											 data-arrowshow="1"
											 data-autoplay="1" >
											<?php
											foreach ( $gallery_arr as $item ) {
												echo '
													<div class="item">
														<div class="block-image">';
															echo '<a href="' . esc_url(wp_get_attachment_url( $item['attachment_id']) ) . '" data-fancybox-group="group-image-carousel-' . esc_attr($item['attachment_id']) . '" class="link fancybox-thumb"></a>';
															$image = wp_get_attachment_image( $item['attachment_id'], '', false, array('class' => 'img-responsive img-full') );
															echo wp_kses_post( $image );
															echo '
														</div>
													</div>	
												';
											}// end for each
											?>
										</div>
										<div class="slider-nav"
											 data-slidestoshow="4"
											 data-dotshow="false"
											 data-infinite="1">
											<?php
											foreach ($gallery_arr as $item) {
												echo '
													<div class="slz-carousel">
														<div class="item">
															<div class="block-image">';
																$image = wp_get_attachment_image( $item['attachment_id'], '', false, array('class' => 'img-responsive img-full') );
																echo wp_kses_post( $image );
																echo '
																
															</div>
														</div>
													</div>
												';
											}// end for each
											?>
										</div>
									</div>
									<?php
								}
								the_title( '<h1 class="title">', '</h1>' );
								?>
								<div class="entry-content">
									<?php
										the_content( sprintf( '<a href="%s" class="read-more">%s<i class="fa fa-angle-right"></i></a>',
														get_permalink(),
														esc_html__( 'Read more', 'flexi' )
												) );

										wp_link_pages( array(
											'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'flexi' ) . '</span>',
											'after'       => '</div>',
											'link_before' => '<span>',
											'link_after'  => '</span>',
										) );
									?>
								</div>
								<?php
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
							</div>

					<?php 
							endwhile;
							wp_reset_postdata();
						else: 
							get_template_part( 'default-templates', 'no-content' );  
						endif; // have_posts
					?>

				</div>
				<?php if ( $slz_container_css['show_sidebar'] ) :?>
					<div id='page-sidebar' class="slz-sidebar-column slz-widgets <?php echo esc_attr( $slz_container_css['sidebar_class'] ); ?>">
						<?php dynamic_sidebar( $slz_container_css['sidebar'] ); ?>
					</div>
				<?php endif; ?>
				<div class="clearfix"></div>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>