<?php
$shortcode  = slz_ext( 'shortcodes' )->get_shortcode( 'recruitment_list' );

$method     = array(
	esc_html__( 'Category', 'flexi' )	    => 'cat',
	esc_html__( 'Recruitment', 'flexi' ) 	=> 'recruitment'
);
$description     = array(
	esc_html__( 'Excerpt', 'flexi' )	    => 'excerpt',
	esc_html__( 'Content', 'flexi' ) 	    => 'content'
);
$sort_by    = SLZ_Params::get('sort-other');

$args       = array('post_type' => 'slz-recruitment');
$options    = array('empty'     => esc_html__( '-All Recruitments-', 'flexi' ) );
$recruitments   = SLZ_Com::get_post_title2id( $args, $options );

$taxonomy   = 'slz-recruitment-cat';
$params_cat = array('empty'   => esc_html__( '-All Recruitment Categories-', 'flexi' ) );
$categories = SLZ_Com::get_tax_options2slug( $taxonomy, $params_cat );


$vc_options = array(
	array(
		'type'            => 'textfield',
		'heading'      	  => esc_html__( 'Title', 'flexi' ),
		'param_name'  	  => 'title',
		'value'       	  => '',
		'description' 	  => esc_html__( 'Enter block title.', 'flexi' )
	),
	array(
		'type'            => 'dropdown',
		'heading'      	  => esc_html__( 'Description', 'flexi' ),
		'param_name'  	  => 'description',
		'value'       	  => $description,
		'description' 	  => esc_html__( 'Choose what content of recruitment to display.', 'flexi' )
	),
	array(
		'type'            => 'textfield',
		'heading'         => esc_html__( 'Limit Posts', 'flexi' ),
		'param_name'      => 'limit_post',
		'value'           => '-1',
		'description'     => esc_html__( 'Add limit posts per page. Set -1 or empty to show all.', 'flexi' )
	),
	array(
		'type'            => 'textfield',
		'heading'         => esc_html__( 'Offset Posts', 'flexi' ),
		'param_name'      => 'offset_post',
		'value'           => '0',
		'description'     => esc_html__( 'Enter offset to pass over posts. If you want to start on record 6, using offset 5.', 'flexi' )
	),
	array(
		'type'            => 'dropdown',
		'heading'         => esc_html__( 'Sort By', 'flexi' ),
		'param_name'      => 'sort_by',
		'value'           => $sort_by,
		'description'     => esc_html__( 'Select order to display list posts.', 'flexi' ),
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Button Text', 'flexi' ),
		'param_name'  => 'button_text',
		'value'       => '',
		'description' => esc_html__( 'Enter button text.', 'flexi' )
	),
	array(
		'type'        => 'vc_link',
		'heading'     => esc_html__( 'Button Link', 'flexi' ),
		'param_name'  => 'button_link',
		'value'       => '',
		'description' => esc_html__( 'Choose button link.', 'flexi' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'flexi' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to block.', 'flexi' )
	),
	array(
		'type'            => 'dropdown',
		'heading'         => esc_html__( 'Display By', 'flexi' ),
		'param_name'      => 'method',
		'value'           => $method,
		'description'     => esc_html__( 'Choose recruitment category or special recruitments to display.', 'flexi' ),
		'group'        	  => esc_html__('Filter', 'flexi')
	),
	array(
		'type'            => 'param_group',
		'heading'         => esc_html__( 'Category', 'flexi' ),
		'param_name'      => 'list_category',
		'params'          => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Category', 'flexi' ),
				'param_name'  => 'category_slug',
				'value'       => $categories,
				'description' => esc_html__( 'Choose special category to filter.', 'flexi'  )
			)
		),
		'value'           => '',
		'description'     => esc_html__( 'Choose recruitment category.', 'flexi' ),
		'dependency'      => array(
			'element'     => 'method',
			'value'       => array( 'cat' )
		),
		'group'       	  => esc_html__('Filter', 'flexi')
	),
	array(
		'type'            => 'param_group',
		'heading'         => esc_html__( 'Recruitments', 'flexi' ),
		'param_name'      => 'list_post',
		'params'          => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add recruitment', 'flexi' ),
				'param_name'  => 'post',
				'value'       => $recruitments,
				'description' => esc_html__( 'Choose special recruitment to show.',  'flexi'  )
			)
		),
		'value'           => '',
		'dependency'      => array(
			'element'     => 'method',
			'value'       => array( 'recruitment' )
		),
		'description'     => esc_html__( 'Default display all recruitments if no recruitment is selected.', 'flexi' ),
		'group'       	  => esc_html__('Filter', 'flexi')
	),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Title Color', 'flexi' ),
		'param_name'      => 'title_color',
		'value'           => '',
		'description'     => esc_html__( 'Choose color for block title.', 'flexi' ),
		'group'       	  => esc_html__('Custom', 'flexi')
	),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Active Color', 'flexi' ),
		'param_name'      => 'active_color',
		'value'           => '',
		'description'     => esc_html__( 'Choose color for item when activating tab.', 'flexi' ),
		'group'       	  => esc_html__('Custom', 'flexi')
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show Location?', 'flexi' ),
		'param_name'  => 'show_location',
		'description'     => esc_html__( 'Show/Hide the working location of the recruitment', 'flexi' ),
		'group'       => esc_html__('Info Settings', 'flexi'),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show Salary?', 'flexi' ),
		'param_name'  => 'show_salary',
		'description'     => esc_html__( 'Show/Hide salary of the recruitment', 'flexi' ),
		'group'       => esc_html__('Info Settings', 'flexi'),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show Expired Date?', 'flexi' ),
		'param_name'  => 'show_expired_date',
		'description'     => esc_html__( 'Show/Hide expired date of the recruitment', 'flexi' ),
		'group'       => esc_html__('Info Settings', 'flexi'),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show More Information?', 'flexi' ),
		'param_name'  => 'show_more_info',
		'description'     => esc_html__( 'Show/Hide more information of the recruitment', 'flexi' ),
		'group'       => esc_html__('Info Settings', 'flexi'),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show Working Type?', 'flexi' ),
		'param_name'  => 'show_working_type',
		'description'     => esc_html__( 'Show/Hide working type of the recruitment', 'flexi' ),
		'group'       => esc_html__('Info Settings', 'flexi'),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show Button Apply?', 'flexi' ),
		'param_name'  => 'show_btn',
		'description'     => esc_html__( 'Show/Hide button "Apply" of the recruitment', 'flexi' ),
		'group'       => esc_html__('Info Settings', 'flexi'),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show Featured Image?', 'flexi' ),
		'param_name'  => 'show_featured_image',
		'description'     => esc_html__( 'Show/Hide featured image of the recruitment', 'flexi' ),
		'group'       => esc_html__('Info Settings', 'flexi'),
		'edit_field_class' => 'vc_col-sm-6 vc_column',
	),
);
