<?php
$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'contact' );

$column = array(
    esc_html__( 'One', 'flexi' )   => '1',
    esc_html__( 'Two', 'flexi' )   => '2',
    esc_html__( 'Three', 'flexi' ) => '3',
    esc_html__( 'Four', 'flexi' )  => '4'
);

$param_info = array(
                array(
                    'type'           => 'textarea',
                    'heading'        => esc_html__( 'Title', 'flexi' ),
                    'param_name'     => 'title',
                	'admin_label'    => true,
                    'description'    => esc_html__( 'Enter title for main information.', 'flexi' )
                )
            );

$param_sub_info = array(
                array(
                    'type'           => 'textarea',
                    'heading'        => esc_html__( 'Title', 'flexi' ),
                    'param_name'     => 'sub_info',
                	'admin_label'    => true,
                    'description'    => esc_html__( 'Enter title for sub information', 'flexi' )
                )
            );
$icon_options = $shortcode->get_icon_library_options();

$params = array(
    array(
        'type'            => 'dropdown',
        'heading'         => esc_html__( 'Column', 'flexi' ),
        'param_name'      => 'column',
        'value'           => $column,
        'std'             => '3',
        'description'     => esc_html__( 'Choose number of column for this contact.', 'flexi' )
    ),
	array(
		'type'            => 'param_group',
		'heading'         => esc_html__( 'Add Contact Info', 'flexi' ),
		'param_name'      => 'array_info',
		'params'          => array(
            array(
                'type'            => 'param_group',
                'heading'         => esc_html__( 'Main Information', 'flexi' ),
                'param_name'      => 'array_info_item',
                'params'          => array_merge( $param_info, $icon_options )
            ),
            array(
                'type'            => 'param_group',
                'heading'         => esc_html__( 'Sub Information', 'flexi' ),
                'param_name'      => 'array_sub_info_item',
                'params'          => array_merge( $param_sub_info, $icon_options )
            ),
            array(
                'type'        => 'textarea',
                'heading'     => esc_html__( 'Description', 'flexi' ),
                'param_name'  => 'description',
                'value'       => '',
                'description' => esc_html__( 'Add description for block', 'flexi' )
            )
		)
	),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Extra Class', 'flexi' ),
        'param_name'  => 'extra_class',
        'value'       => '',
        'description' => esc_html__( 'Add extra class for block', 'flexi' )
    ),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Main Info Color', 'flexi' ),
		'param_name'      => 'title_color',
		'value'           => '',
		'group'           => esc_html__( 'Custom Css', 'flexi'),
		'description'     => esc_html__( 'Select color for main information.', 'flexi' )
	),
    array(
        'type'            => 'colorpicker',
        'heading'         => esc_html__( 'Main Info Icon Color', 'flexi' ),
        'param_name'      => 'main_icon_color',
        'value'           => '',
        'group'           => esc_html__( 'Custom Css', 'flexi'),
        'description'     => esc_html__( 'Select color for main information icon.', 'flexi' )
    ),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Sub Info Color', 'flexi' ),
		'param_name'      => 'info_color',
		'value'           => '',
		'group'           => esc_html__( 'Custom Css', 'flexi'),
		'description'     => esc_html__( 'Select color for sub information.', 'flexi' )
	),
    array(
        'type'            => 'colorpicker',
        'heading'         => esc_html__( 'Sub Info Icon Color', 'flexi' ),
        'param_name'      => 'sub_icon_color',
        'value'           => '',
        'group'           => esc_html__( 'Custom Css', 'flexi'),
        'description'     => esc_html__( 'Select color for sub information icon.', 'flexi' )
    ),
);

$vc_options = array_merge( 
	$params
);