<?php
$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'posts_grid' );

$columns = array(
    esc_html__( 'One', 'flexi' )      => '1',
    esc_html__( 'Two', 'flexi' )      => '2',
    esc_html__( 'Three', 'flexi' )    => '3',
    esc_html__( 'Four', 'flexi' )     => '4'
);

// ----------------Layout---------------
$layouts = array(
    array(
        'type'          => 'dropdown',
        'heading'       => esc_html__( 'Layout', 'flexi' ),
        'admin_label'   => true,
        'param_name'    => 'layout',
        'value'         => $shortcode->get_layouts(),
        'std'           => 'layout-1',
        'description'   => esc_html__( 'Choose layout will be displayed.', 'flexi' )
    )
);

$layout_options = $shortcode->get_layout_options();

//----------------General---------------
$general = array(
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Block Title', 'flexi' ),
        'param_name'  => 'block_title',
        'value'       => '',
        'description' => esc_html__( 'Block title. If it blank the block will not have a title', 'flexi' )
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Block Title Color', 'flexi' ),
        'param_name'  => 'block_title_color',
        'value'       => '',
        'description' => esc_html__( 'Choose a custom title text color.', 'flexi' )
    ),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Show Excerpt', 'flexi' ),
        'param_name'  => 'show_excerpt',
        'value'       => array(
            esc_html__('Show', 'flexi')   =>  'show',
            esc_html__('Hide', 'flexi')   =>  'hide'
        ),
        'std'         => 'show',
        'description' => esc_html__( 'Show or hide post excerpt', 'flexi' )
    ),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Show Category', 'flexi' ),
        'param_name'  => 'show_category',
        'value'       => array(
            esc_html__('Show', 'flexi')   =>  'show',
            esc_html__('Hide', 'flexi')   =>  'hide'
        ),
        'std'         => 'show',
        'description' => esc_html__( 'Show or hide post category', 'flexi' )
    ),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Excerpt Length', 'flexi' ),
        'param_name'  => 'excerpt_length',
        'value'       => '15',
        'description' => esc_html__( 'Input number of excerpt length.', 'flexi' ),
        'dependency' => array(
            'element' => 'show_excerpt',
            'value' => 'show',
        )
    ),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Read More Content', 'flexi' ),
        'param_name'  => 'btn_read_more',
        'value'       => '',
        'description' => esc_html__( 'Enter content to display read more.', 'flexi' ),
        'dependency' => array(
            'element' => 'layout',
            'value_not_equal_to' => array('layout-1')
        )
    ),
    array(
        'type'          => 'dropdown',
        'heading'       => esc_html__( 'Column', 'flexi' ),
        'admin_label'   => true,
        'param_name'    => 'column',
        'value'         => $columns,
        'std'           => '3',
        'description'   => esc_html__( 'Choose number column will be displayed.', 'flexi' ),
        'dependency' => array(
            'element' => 'layout',
            'value_not_equal_to' => array('layout-1')
        )
    ),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Limit Posts', 'flexi' ),
        'param_name'  => 'limit_post',
        'value'       => '-1',
        'description' => esc_html__( 'The number of posts to display. If it blank the number posts will be the number from Settings -> Reading', 'flexi' ),
        'dependency' => array(
            'element' => 'layout',
            'value_not_equal_to' => array('layout-1')
        )
    ),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Offset Posts', 'flexi' ),
        'param_name'  => 'offset_post',
        'value'       => '',
        'description' => esc_html__( 'Enter offset to display. If you want to start on record 6, using offset 5', 'flexi' )
    ),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Pagination', 'flexi' ),
        'param_name'  => 'pagination',
        'value'       => array(
            esc_html__( '-No paging-', 'flexi' )          => '',
            esc_html__( 'Ajax Paging', 'flexi' )          => 'ajax',
            esc_html__( 'Next Prev Paging', 'flexi' )     => 'next-prev',
            esc_html__( 'Paging ( Load Page )', 'flexi' ) => 'yes'
        ),
        'description' => esc_html__( 'Show pagination.', 'flexi' ),
        'dependency' => array(
            'element' => 'layout',
            'value_not_equal_to' => array('layout-1')
        )
    ),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Total Posts', 'flexi' ),
        'param_name'  => 'max_post',
        'value'       => '',
        'description' => esc_html__( 'Enter total posts when paging', 'flexi' ),
        'dependency' => array(
            'element' => 'pagination',
            'value_not_equal_to' => array('')
        )
    ),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Sort By', 'flexi' ),
        'param_name'  => 'sort_by',
        'value'       => slz()->backend->get_param('sort_blog'),
        'description' => esc_html__( 'Choose criteria to display.', 'flexi' )
    ),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Extra Class', 'flexi' ),
        'param_name'  => 'extra_class',
        'value'       => '',
        'description' => esc_html__( 'Add extra class to block', 'flexi' )
    )
);

$vc_options = array_merge( 
    $layout_options,
    $general,
    slz()->backend->get_param('shortcode_filter'),
    slz()->backend->get_param('shortcode_ajax_filter')
);
