<?php if ( ! FLEXI_SLZ_ACTIVE ) {
	exit;
}

$post_ext = slz_ext('posts');

if ( empty( $post_ext ) )
	return;

$regist_sidebars = array_merge( array( '' => esc_html__('-- Select widget area --', 'flexi') ), SLZ_Com::get_regist_sidebars() );
$sidebar_layout = array(
	'left' => array(
		'small' => array(
			'height' => 50,
			'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/left.png')
		)
	),
	'right' => array(
		'small' => array(
			'height' => 50,
			'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/right.png')
		)
	),
	'none' => array(
		'small' => array(
			'height' => 50,
			'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/full.png')
		)
	),
);
$social_box = array(
	'type'   => 'multi-picker',
	'label'  => false,
	'picker' => array(
		'enable-social-share' => array(
			'type'        => 'switch',
			'value'       => 'disable',
			'label'       => esc_html__( 'Social Share', 'flexi' ),
			'desc'   => esc_html__( 'Enable social share links in single pages ?', 'flexi' ),
			'left-choice' => array(
				'value' => 'disable',
				'label' => esc_html__( 'Disable', 'flexi' ),
			),
			'right-choice' => array(
				'value' => 'enable',
				'label' => esc_html__( 'Enable', 'flexi' ),
			)
		),
	),
	'choices'    => array(
		'enable' => array(
			'social-share-info' => array(
				'label'  => esc_html__( 'Add Social', 'flexi' ),
				'type'   => 'addable-option',
				'option' => array(
					'type'  => 'select',
					'choices' => array(
						'facebook'    => esc_html__('Facebook', 'flexi'),
						'twitter'     => esc_html__('Twitter', 'flexi'),
						'google-plus' => esc_html__('Google Plus', 'flexi'),
						'pinterest'   => esc_html__('Pinterest', 'flexi'),
						'linkedin'    => esc_html__('Linkedint', 'flexi'),
						'digg'        => esc_html__('Digg', 'flexi'),
					)
				),
			),
			'social-share-count' => array(
				'type'   => 'multi-picker',
				'label'  => false,
				'desc'   => false,
				'picker' => array(
					'enable-social-share-count' => array(
						'type'        => 'switch',
						'value'       => 'disable',
						'label'       => esc_html__( 'Share Count', 'flexi' ),
						'desc'        => esc_html__( 'Enable social share count in single pages ?', 'flexi' ),
						'left-choice' => array(
							'value' => 'disable',
							'label' => esc_html__( 'Disable', 'flexi' ),
						),
						'right-choice' => array(
							'value' => 'enable',
							'label' => esc_html__( 'Enable', 'flexi' ),
						)
					),
				),
				'choices'    => array(
					'enable' => array(
						'social-share-facebook-appid' => array(
							'type'  => 'text',
							'label' => esc_html__('Facebook App ID', 'flexi'),
							'desc'  => esc_html__( 'Enter App ID to get the share count of Facebook.', 'flexi' ),
						),
						'social-share-facebook-secret-key' => array(
							'type'  => 'text',
							'label' => esc_html__('Facebook Secret Key', 'flexi'),
							'desc'  => esc_html__( 'Enter Secret Key to get the share count of Facebook.', 'flexi' ),
						),
					),
				),
			),
		),
	),
);
//-------------------------------------------------------------------------//

$posts_tab = array (
	'title'   => esc_html__( 'Post Settings', 'flexi' ),
	'type'    => 'tab',
	'options' => array(
		'posts-box'        => array(
			'title'   => esc_html__( 'Post Layout', 'flexi' ),
			'type'    => 'box',
			'options' => array(
				'blog-layout'	=> array(
					'type'    => 'image-picker',
					'label'   => esc_html__( 'Blog Style', 'flexi' ),
					'desc'    => esc_html__( 'Select the blog display style', 'flexi' ),
					'choices' => $post_ext->get_post_choices(),
					'value'   => SLZ_Com::get_first( $post_ext->get_post_choices() ),
				),
				'blog-sidebar-layout'    => array(
					'label' => esc_html__( 'Sidebar Layout', 'flexi' ),
					'desc'  => esc_html__( 'Set how to display sidebar in single pages.', 'flexi' ),
					'type'  => 'image-picker',
					'choices' =>$sidebar_layout,
					'value' => 'left'
				),
				'blog-sidebar' => array(
					'type'    => 'select',
					'label'   => esc_html__('Post Sidebar', 'flexi'),
					'desc'    => esc_html__('You can create new sidebar in','flexi').' <br><a href="' . esc_url( admin_url( 'widgets.php' ) ) . '" >'.esc_html__('Appearance > Widgets','flexi').'</a>',
					'choices' => $regist_sidebars,
				),
			)
		),
		'post-info-box' => array(
			'title'   => esc_html__( 'Post Info', 'flexi' ),
			'type'    => 'box',
			'options' => array(
				'post-info' => array(
					'label'  => esc_html__( 'Select Post Info', 'flexi' ),
					'type'   => 'addable-option',
					'option' => array(
						'type'  => 'select',
						'choices' => array(
							'date'     => esc_html__('Date', 'flexi'),
							'author'   => esc_html__('Author', 'flexi'),
							'category' => esc_html__('Category', 'flexi'),
							'tag'      => esc_html__('Tag', 'flexi'),
							'comment'  => esc_html__('Comment Count', 'flexi'),
							'view'     => esc_html__('View Count', 'flexi'),
							'like'     => esc_html__('Like Count', 'flexi'),
						)
					),
					'value'  => array( 'author', 'date', 'comment' ),
					'desc'   => esc_html__( 'Select post info to show in single pages and blocks.', 'flexi' ),
				),
			)
		),
		'related-box' => array(
			'title'   => esc_html__( 'Related Articles', 'flexi' ),
			'type'    => 'box',
			'options' => array(
				'blog-article'   => array(
					'type'         => 'multi-picker',
					'label'        => false,
					'desc'         => false,
					'picker'       => array(
						'status' => array(
							'label'        => esc_html__( 'Show Related Articles', 'flexi' ),
							'desc'         => esc_html__( 'Show related articles in single pages ?', 'flexi' ),
							'type'         => 'switch',
							'right-choice' => array(
								'value' => 'show',
								'label' => esc_html__( 'Show', 'flexi' )
							),
							'left-choice'  => array(
								'value' => 'hide',
								'label' => esc_html__( 'Hide', 'flexi' )
							),
							'value'        => 'hide',
						)
					),
					'choices'      => array(
						'show' => array(
							'filter-by' => array(
								'label'        => esc_html__( 'Filter By', 'flexi' ),
								'desc'         => esc_html__( 'Filter related articles by ?', 'flexi' ),
								'type'         => 'switch',
								'right-choice' => array(
									'value' => 'category',
									'label' => esc_html__( 'By Category', 'flexi' )
								),
								'left-choice'  => array(
									'value' => 'tag',
									'label' => esc_html__( 'By Tag', 'flexi' )
								),
								'value'        => 'category',
							),
							'limit' => array(
								'type'  => 'short-text',
								'label' => esc_html__( 'Article Post Limit', 'flexi' ),
								'desc'  => esc_html__( 'Total post of related article will be show. Ex: 6', 'flexi' ),
								'value' => '6',
							),
							'order_by' => array(
								'type'    => 'select',
								'label'   => esc_html__('Article Order By', 'flexi'),
								'desc'    => esc_html__('Order the post in related article by ?', 'flexi'),
								'choices' => array(
									'id'     => esc_html__('ID', 'flexi'),
									'title'  => esc_html__('Title', 'flexi'),
									'date'   => esc_html__('Date', 'flexi'),
									'author' => esc_html__('Author', 'flexi'),
									'rand' => esc_html__('Random', 'flexi')
								),
							),
							'order' => array(
								'type'    => 'select',
								'label'   => esc_html__('Article Order', 'flexi'),
								'desc'    => esc_html__('Order the post in related article with ascending or descending mode ?', 'flexi'),
								'choices' => array(
									'desc'  => esc_html__('Desc', 'flexi'),
									'asc'   => esc_html__('Asc', 'flexi')
								),
							)
						),
					),
					'show_borders' => true,
				),
			)
		),
		'post-content-box' => array(
			'title'   => esc_html__( 'Other Settings', 'flexi' ),
			'type'    => 'box',
			'options' => array(
				'blog-post-tags' => array(
					'label'        => esc_html__( 'Post Tags', 'flexi' ),
					'desc'         => esc_html__( 'Show list of post tags in single pages?', 'flexi' ),
					'type'         => 'switch',
					'right-choice' => array(
						'value' => 'yes',
						'label' => esc_html__( 'Yes', 'flexi' )
					),
					'left-choice'  => array(
						'value' => 'no',
						'label' => esc_html__( 'No', 'flexi' )
					),
					'value'        => 'yes',
				),
				'blog-post-categories' => array(
					'label'        => esc_html__( 'Post Categories', 'flexi' ),
					'desc'         => esc_html__( 'Show list of post categories in single pages ?', 'flexi' ),
					'type'         => 'switch',
					'right-choice' => array(
						'value' => 'yes',
						'label' => esc_html__( 'Yes', 'flexi' )
					),
					'left-choice'  => array(
						'value' => 'no',
						'label' => esc_html__( 'No', 'flexi' )
					),
					'value'        => 'yes',
				),
				'blog-post-author-box' => array(
					'label'        => esc_html__( 'Author Box', 'flexi' ),
					'desc'         => esc_html__( 'Show author box in single pages?', 'flexi' ),
					'type'         => 'switch',
					'right-choice' => array(
						'value' => 'yes',
						'label' => esc_html__( 'Yes', 'flexi' )
					),
					'left-choice'  => array(
						'value' => 'no',
						'label' => esc_html__( 'No', 'flexi' )
					),
					'value'        => 'yes',
				),
				'blog-post-post-navigation' => array(
					'label'        => esc_html__( 'Post Navigation', 'flexi' ),
					'desc'         => esc_html__( 'Show post navigation in single pages ?', 'flexi' ),
					'type'         => 'switch',
					'right-choice' => array(
						'value' => 'yes',
						'label' => esc_html__( 'Yes', 'flexi' )
					),
					'left-choice'  => array(
						'value' => 'no',
						'label' => esc_html__( 'No', 'flexi' )
					),
					'value'        => 'yes',
				),
				'social-in-post' => $social_box,// end social
			),
		),
	),
);

$options_tab = array(
	$posts_tab,
);
$active_posttype_ext = slz()->theme->get_config('active_posttype_ext');
$option_title = array(
	'slz-portfolio'   => esc_html__( 'Portfolio Settings', 'flexi' ),
	'slz-team'        => esc_html__( 'Team Settings', 'flexi' ),
	'slz-service'     => esc_html__( 'Service Settings', 'flexi'),
	'slz-recruitment' => esc_html__( 'Recruitment Settings', 'flexi'),
	'product'         => esc_html__( 'Product Settings', 'flexi'),
);
foreach( $active_posttype_ext as $option => $extension ) {
	// check extension is activated
	if( ( $option != 'product' && ! slz_ext( $extension ) ) || ( $option == 'product' && ! FLEXI_WC_ACTIVE ) ) {
		continue;
	}
	$posttype = str_replace( 'slz-', '', $option );
	
	$box = array(
		'post-layout-box' => array(
			'title'   => $option_title[$option],
			'type'    => 'box',
			'options' => array(
				$posttype .'-sidebar-layout' => array(
					'label' => esc_html__( 'Sidebar Layout', 'flexi' ),
					'desc'  => esc_html__( 'Set how to display sidebar in service single pages.', 'flexi' ),
					'type'  => 'image-picker',
					'choices' => $sidebar_layout,
					'value' => 'left'
				),
				$posttype .'-sidebar'  =>  array(
					'type'  => 'select',
					'label' => esc_html__('Choose Sidebar', 'flexi'),
					'desc'  => esc_html__('You can create new sidebar in','flexi').' <br><a href="' . esc_url( admin_url( 'widgets.php' ) ) . '" >'.esc_html__('Appearance > Widgets','flexi').'</a>',
					'choices' => $regist_sidebars,
				),
			)
		)
	); // box options

	if( $option == 'product' ) {
		$box = array_merge( $box, array(
				'related-box' => array(
					'title'   => esc_html__( 'Related Products', 'flexi' ),
					'type'    => 'box',
					'options' => array(
						'product-related-post'   => array(
							'type'         => 'multi-picker',
							'label'        => false,
							'desc'         => false,
							'picker'       => array(
								'status' => array(
									'label'        => esc_html__( 'Show Related Products', 'flexi' ),
									'desc'         => esc_html__( 'Show related products in product pages ?', 'flexi' ),
									'type'         => 'switch',
									'right-choice' => array(
										'value' => 'show',
										'label' => esc_html__( 'Show', 'flexi' )
									),
									'left-choice'  => array(
										'value' => 'hide',
										'label' => esc_html__( 'Hide', 'flexi' )
									),
									'value'        => 'show',
								)
							),
							'choices'      => array(
								'show' => array(
									'limit'           => array(
										'type'  => 'short-text',
										'label' => esc_html__( 'Limit Posts', 'flexi' ),
										'desc'  => esc_html__( 'Total posts of related posts will be show.', 'flexi' ),
										'value' => '4',
									),
									'column'           => array(
										'type'  => 'short-text',
										'label' => esc_html__( 'Columns', 'flexi' ),
										'desc'  => esc_html__( 'Enter number of columns to show.', 'flexi' ),
										'value' => '4',
									),
								),
							),
							'show_borders' => true,
						),
					)
				), //related box
			)
		);
	}
	// is portfolio extension?
	if( $option == 'slz-portfolio' )
	{
		$box = array_merge( $box, array(
			'post-info-box' => array(
				'title'   => esc_html__( 'Portfolio Info', 'flexi' ),
				'type'    => 'box',
				'options' => array(
					'pf-review-rating'   => array(
						'label'        => esc_html__( 'Review Rating', 'flexi' ),
						'desc'         => esc_html__( 'Show review rating in portfolio blocks?', 'flexi' ),
						'type'         => 'switch',
						'right-choice' => array(
							'value' => 'yes',
							'label' => esc_html__( 'Yes', 'flexi' )
						),
						'left-choice'  => array(
							'value' => 'no',
							'label' => esc_html__( 'No', 'flexi' )
						),
						'value'        => 'no',
					),
					'social-in-pf'   => $social_box,
				)
			), // post-info box
			'related-box' => array(
				'title'   => esc_html__( 'Related Posts', 'flexi' ),
				'type'    => 'box',
				'options' => array(
					'pf-related-post'   => array(
						'type'         => 'multi-picker',
						'label'        => false,
						'desc'         => false,
						'picker'       => array(
							'status' => array(
								'label'        => esc_html__( 'Show Related Posts', 'flexi' ),
								'desc'         => esc_html__( 'Show related posts in portfolio single pages ?', 'flexi' ),
								'type'         => 'switch',
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__( 'Show', 'flexi' )
								),
								'left-choice'  => array(
									'value' => 'hide',
									'label' => esc_html__( 'Hide', 'flexi' )
								),
								'value'        => 'hide',
							)
						),
						'choices'      => array(
							'show' => array(
								'title' => array(
									'label'        => esc_html__( 'Related Box Title', 'flexi' ),
									'desc'         => esc_html__( 'Enter title for related box in portfolio single pages.', 'flexi' ),
									'type'         => 'textarea',
								),
								'filter-by' => array(
									'label'        => esc_html__( 'Filter By', 'flexi' ),
									'desc'         => esc_html__( 'Filter related posts by ?', 'flexi' ),
									'type'         => 'switch',
									'right-choice' => array(
										'value' => 'category',
										'label' => esc_html__( 'By Category', 'flexi' )
									),
									'left-choice'  => array(
										'value' => 'author',
										'label' => esc_html__( 'By Author', 'flexi' )
									),
									'value'        => 'category',
								),
								'limit'           => array(
									'type'  => 'short-text',
									'label' => esc_html__( 'Limit Posts', 'flexi' ),
									'desc'  => esc_html__( 'Total posts of related post will be show.', 'flexi' ),
									'value' => '6',
								),
								'column'           => array(
									'type'  => 'short-text',
									'label' => esc_html__( 'Columns', 'flexi' ),
									'desc'  => esc_html__( 'Enter number of columns to show.', 'flexi' ),
									'value' => '4',
								),
							),
						),
						'show_borders' => true,
					),
				)
			), //related box
		) );
	}

	$options_tab[] = array(
		$posttype .'-tab' => array(
			'title'   => $option_title[$option],
			'type'    => 'tab',
			'options' => $box,
		)
	);
}

$options = array(
	'posts'          => array(
		'title'   => esc_html__( 'Post Settings', 'flexi' ),
		'type'    => 'tab',
		'options' => $options_tab
	),
);