<?php if ( ! FLEXI_SLZ_ACTIVE ) {
	exit;
}

$regist_sidebars = array_merge( array( 'default' => esc_html__('-- Default --', 'flexi') ), SLZ_Com::get_regist_sidebars() );

$default = array(
	'default'   => array(
		'small' => array(
			'height' => 70,
			'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/default.png')
		),
		'large' => array(
			'height' => 214,
			'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/default.png')
		),
	)
);

$page_header = slz()->theme->get_options( 'page-options' );

$options = array(
	'post-settings' => array(
		'type'    => 'box',
		'title'   => esc_html__( 'Page Options','flexi' ),
		'options' => array(
			'post-general-settings' => array(
				'type'    => 'tab',
				'title'   => esc_html__( 'General Settings', 'flexi' ),
				'options' => array(
					'page-sidebar-layout' => array(
						'label' => esc_html__( 'Sidebar Layout', 'flexi' ),
						'desc'  => esc_html__( 'Set how to display portfolio sidebar.', 'flexi' ),
						'type'  => 'image-picker',
						'attr'  => array('class' => 'slz-image-picker-max-width' ),
						'choices' => array_merge( $default, array(
							'left' => array(
								'small' => array(
									'height' => 50,
									'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/left.png')
								)
							),
							'right' => array(
								'small' => array(
									'height' => 50,
									'src'    => esc_url( FLEXI_OPTION_IMG_URI . '/sidebar/right.png')
								)
							),
							'none' => array(
								'small' => array(
									'height' => 50,
									'src'    => esc_url(FLEXI_OPTION_IMG_URI . '/sidebar/full.png')
								)
							),
						) ),
						'value' => 'default'
					),
					'page-sidebar'  =>  array(
						'type'    => 'select',
						'label'   => esc_html__('Choose Sidebar', 'flexi'),
						'desc'    => esc_html__('You can create new sidebar in','flexi').' <br><a href="' . esc_url( admin_url( 'widgets.php' ) ) . '" >'.esc_html__('Appearance','flexi').' > '.esc_html__('Widgets','flexi').'</a>',
						'choices' => $regist_sidebars,
						'value'   => 'default'
					),
                    'ct-padding-top' => array(
                        'type'  => 'text',
                        'label' => esc_html__( 'Content Padding Top', 'flexi' ),
                        'desc'  => esc_html__( 'Custom padding top for content (px).', 'flexi' ),
                        'value' => '',
                    ),
                    'ct-padding-bottom' => array(
                        'type'  => 'text',
                        'label' => esc_html__( 'Content Padding Bottom', 'flexi' ),
                        'desc'  => esc_html__( 'Custom padding bottom for content (px).', 'flexi' ),
                        'value' => '',
                    ),
				)
			),
			$page_header,
		),
	)
);