<?php
class Flexi_Editor_Format {
	public function __construct(){
		add_action( 'init', array(&$this, '_action_add_editor_styles') );
		// Custom Styles to WordPress Visual Editor
		add_filter('mce_buttons_2', array(&$this, '_filter_mce_buttons') );
		// Attach callback to 'tiny_mce_before_init'
		add_filter( 'tiny_mce_before_init', array(&$this, '_filter_mce_before_init_insert_formats') );
	}
	public function _action_add_editor_styles() {
		add_editor_style( 'static/css/custom-editor.css' );
	}

	public function _filter_mce_buttons($buttons) {
		array_unshift($buttons, 'styleselect');
		return $buttons;
	}
	
	
	public function _filter_mce_before_init_insert_formats( $init_array ) {
		$style_formats = $this->_dropcap_formats();
		$init_array['style_formats'] = json_encode( $style_formats );
		return $init_array;
	}
	private function _dropcap_formats() {
		$formats = array(
			'flexi_dropcap' => array(
				'title' => esc_html__('Drop Cap', 'flexi'),
				'items' => array(
					array(
						'parent_id' => 'flexi_dropcap',
						'title'     => esc_html__('Regular','flexi'),
						'classes'   => 'dropcap',
						'block'     => 'div',
						'wrapper'	=> true
					),
					array(
						'parent_id' => 'flexi_dropcap',
						'title'     => esc_html__('Italic','flexi'),
						'classes'   => 'dropcapi',
						'block'     => 'div',
						'wrapper'	=> true
					),
					array(
						'parent_id' => 'flexi_dropcap',
						'title'     => esc_html__('Bold','flexi'),
						'classes'   => 'dropcapb',
						'block'     => 'div',
						'wrapper'	=> true
					)
				)
			),
			'flexi_blockquote' => array(
				'title' => esc_html__('Blockquote', 'flexi'),
				'items' => array(
					array(
						'parent_id' => 'flexi_blockquote',
						'title'     => esc_html__('Style 01','flexi'),
						'classes'   => 'slz-blockquote-01',
						'selector'  => 'blockquote',
						'wrapper'	=> true
					),
					array(
						'parent_id' => 'flexi_blockquote',
						'title'     => esc_html__('Style 02','flexi'),
						'classes'   => 'slz-blockquote-02',
						'selector'  => 'blockquote',
						'wrapper'	=> true
					)
				)
			),
			'flexi_bullet_list' => array(
				'title' => esc_html__('Bulleted List', 'flexi'),
				'items' => array(
					array(
						'parent_id' => 'flexi_bullet_list',
						'title'     => esc_html__('1 Column','flexi'),
						'classes'   => 'slz-bullet-list-col-1',
						'selector'  => 'ul'
					),
					array(
						'parent_id' => 'flexi_bullet_list',
						'title'     => esc_html__('2 Columns','flexi'),
						'classes'   => 'slz-bullet-list-col-2',
						'selector'  => 'ul'
					),
					array(
						'parent_id' => 'flexi_bullet_list',
						'title'     => esc_html__('3 Columns','flexi'),
						'classes'   => 'slz-bullet-list-col-3',
						'selector'  => 'ul'
					)
				)
			)
		);
		return $formats;
	}
} new Flexi_Editor_Format();