<?php if ( ! defined( 'ABSPATH' ) ) {
	die( 'Direct access forbidden.' );
}

if ( FLEXI_SLZ_ACTIVE ) {
	$flexi_version = slz()->theme->manifest->get_version();
} else {
	$flexi_version = '1.0';
}
/*--------------------functions-------------------------*/
if ( ! function_exists( 'flexi_google_font_custom' ) ):
	function flexi_google_font_custom(){
		if ( FLEXI_SLZ_ACTIVE && function_exists('slz_get_db_settings_option') ) {
			$font_google = $fonts = array();
			$settings = slz_get_db_settings_option();
			//google_font
			$arr_typo = (array)slz()->theme->get_config('typography_settings');
			foreach( $arr_typo as $option_key => $css_key ) {
				$custom_style = slz_akg($option_key .'/custom-style', $settings, '' );
				if( $custom_style == 'custom' && $custom = slz_akg($option_key .'/custom/typography', $settings, '' ) ) {
					if( !empty($custom['google_font']) ) {
						if( !empty($custom['family']) ) {
							if( !empty($custom['variation']) ) {
								$font_google[$custom['family']][$custom['variation']] = $custom['variation'];
							} else {
								$font_google[$custom['family']] = '';
							}
						}
					}
				}
			}
			foreach($font_google as $font=>$variant){
				$fonts[] = $font . ':' .implode(',', $variant);
			}
			if( $fonts ) {
				$font_url = flexi_fonts_url( $fonts );
				wp_enqueue_style( 'flexi-custom-fonts', $font_url, array(), null );
			}
		}
	}
endif;

/*-------------------- enqueue-------------------------*/
//font
wp_enqueue_style( 'flexi-fonts', flexi_fonts_url(), array(), null );
flexi_google_font_custom();
wp_enqueue_style( 'font-awesome',    esc_url(FLEXI_STATIC_URI . '/font/font-icon/font-awesome/css/font-awesome.min.css'), array(), false );

//libs css
wp_enqueue_style( 'bootstrap', esc_url(FLEXI_STATIC_URI . '/libs/bootstrap/css/bootstrap.min.css'), array(), false );
wp_enqueue_style( 'bootstrap-datepicker',  esc_url(FLEXI_STATIC_URI . '/libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css'), array(), false );
if( is_rtl()) {
	wp_enqueue_style( 'bootstrap-rtl', esc_url(FLEXI_STATIC_URI . '/libs/bootstrap-rtl.min.css'), array(), false );
}

//theme css
wp_enqueue_style( 'flexi-style',       get_stylesheet_uri(), array(), $flexi_version );
wp_enqueue_style( 'flexi-layout', esc_url(FLEXI_STATIC_URI . '/css/layout.css'), array(), $flexi_version );
if ( ! flexi_check_extension('headers') ) {
	wp_enqueue_style( 'flexi-default', esc_url(FLEXI_STATIC_URI . '/css/default.css'), array(), $flexi_version );
}
flexi_slz_enqueue_style();
wp_enqueue_style( 'flexi-responsive', esc_url( FLEXI_STATIC_URI . '/css/responsive.css'), array(), $flexi_version );

// js
if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
}

wp_enqueue_script( 'bootstrap',  esc_url( FLEXI_STATIC_URI . '/libs/bootstrap/js/bootstrap.min.js'), array( 'jquery' ), false, true );
wp_enqueue_script( 'bootstrap-datepicker', esc_url(FLEXI_STATIC_URI . '/libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js'), array( ), false, true );

wp_enqueue_script( 'flexi-main', esc_url(FLEXI_STATIC_URI . '/js/main.js'), array( ), $flexi_version, true );
wp_enqueue_script( 'flexi-custom', esc_url(FLEXI_STATIC_URI . '/js/custom.js'), array( ), $flexi_version, true );

if ( FLEXI_SLZ_ACTIVE && function_exists('slz_get_db_settings_option') ) {
	$flexi_custom_script = slz_get_db_settings_option('custom_scripts', '');
	if( !empty( $flexi_custom_script ) ) {
		wp_enqueue_script( 'flexi-custom-inline', esc_url(FLEXI_STATIC_URI . '/js/custom-inline.js'), array( ), $flexi_version, true );
		wp_add_inline_script( 'flexi-custom-inline', $flexi_custom_script );
	}
}
// Need to jQuery slick.min.js to use WooCommerce custom js and css
global $wp_scripts;
if( isset($wp_scripts->registered['slick']) && FLEXI_WC_ACTIVE ) {
	wp_enqueue_style( 'flexi-woocommerce',     esc_url(FLEXI_STATIC_URI . '/css/flexi-woocommerce.css'), array(), $flexi_version );
	wp_enqueue_script( 'flexi-woocommerce',    esc_url(FLEXI_STATIC_URI . '/js/flexi-woocommerce.js'), array( ), $flexi_version, true );
}